#
# spec file for package perl-SDL
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-SDL
BuildRequires:  Mesa-devel
BuildRequires:  libSDL-devel
BuildRequires:  libSDL_Pango-devel
BuildRequires:  libSDL_gfx-devel
BuildRequires:  libSDL_image-devel
BuildRequires:  libSDL_mixer-devel
BuildRequires:  libSDL_net-devel
BuildRequires:  libSDL_sound-devel
BuildRequires:  libSDL_ttf-devel
BuildRequires:  perl-YAML
BuildRequires:  perl(Alien::SDL)
BuildRequires:  perl(Capture::Tiny)
BuildRequires:  perl(File::ShareDir)
BuildRequires:  perl(Module::Build) >= 0.4000
BuildRequires:  perl(Module::Metadata)
BuildRequires:  perl(Test::Most)
BuildRequires:  perl(Tie::Simple)
Url:            http://sdl.perl.org/
Requires:       perl = %{perl_version}
Version:        2.544
Release:        lp150.1.3
Summary:        Glue between Perl and SDL
License:        LGPL-2.1+ and OFL-1.1
Group:          System/Libraries
Source0:        http://www.cpan.org/authors/id/F/FR/FROGGS/SDL-%{version}.tar.gz
Source1:        perl-SDL.rpmlintrc
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Provides:       SDL_perl = %{version}
Obsoletes:      SDL_perl < 2.540
Provides:       perl-SDL_Perl = %{version}
Obsoletes:      perl-SDL_Perl < 2.540

%description
SDL Perl are a set of bindings to the Simple DirectMedia Layer (SDL).

Simple DirectMedia Layer is a cross-platform multimedia library designed to
provide low level access to audio, keyboard, mouse, joystick, 3D hardware via
OpenGL, and 2D video framebuffer. It is used by MPEG playback software,
emulators, and many popular games, including the award winning Linux port of
"Civilization: Call To Power."

%prep
%setup -q -n SDL-%{version}

%build
perl Build.PL installdirs=vendor
./Build

%install
./Build destdir=%{buildroot} installdirs=vendor install
%perl_process_packlist

%files
%defattr(-,root,root)
%doc CHANGELOG COPYING README
%{perl_vendorarch}/SDL
%{perl_vendorarch}/SDLx
%{perl_vendorarch}/Module
%{perl_vendorarch}/auto/SDL
%{perl_vendorarch}/auto/SDL_perl
%{perl_vendorarch}/auto/SDLx
%dir %{perl_vendorarch}/auto/share
%dir %{perl_vendorarch}/auto/share/dist
%{perl_vendorarch}/auto/share/dist/SDL
%dir %{perl_vendorarch}/pods
%{perl_vendorarch}/pods/SDL
%{perl_vendorarch}/pods/SDL.pod
%{perl_vendorarch}/pods/SDLx
%{perl_vendorarch}/*.pm
%{_mandir}/man3/*

%changelog
* Mon Jun  9 2014 stephan.barth@suse.com
- refined rpmlintrc to be Perl version and arch independent
* Wed Jun  4 2014 stephan.barth@suse.com
- Added perl-SDL.rpmlintrc as a source to the spec file
* Fri May 30 2014 stephan.barth@suse.com
- Added perl-SDL.rpmlintrc for empty bootstrap files in
  /usr/lib/perl5/vendor_perl/5.18.2/x86_64-linux-thread-multi/auto/
- Update to version 2.544 from 2.540
  - Updated Alien::SDL's version we depend on to get an OpenBSD/pthread
    fix [FROGGS]
  - Fix segfault in cleanup of MixChunks on windows [FROGGS]
  - Adjusting test for SDL_gfx >= 2.0.24 [FROGGS]
- Changed source URL to
  http://search.cpan.org/CPAN/authors/id/F/FR/FROGGS/SDL-%%{version}.tar.gz
  because of new upstream author
* Thu Nov 15 2012 cfarrell@suse.com
- license update: LGPL-2.1+ and OFL-1.1
* Wed Sep 19 2012 opensuse@dstoecker.de
- update to 2.540
* Tue Dec  7 2010 coolo@novell.com
- remove packlist with -f to fix build on 11.4
* Sun Jan 10 2010 ro@suse.de
- rediff path for fuzz=0
* Fri Nov 27 2009 prusnak@suse.cz
- updated to 2.2.6
  - Garu added a preview of SDL::Game::Rect
  - Garu fixed up LunarLander Tutorial
  - Kartik and Garu made a Pong preview for YAPC::Brasil
  - Last release of this API to provide newcomers with Pong and LunarLander Tutorial
  THIS IS THE LAST RELEASE OF THIS API.
* Tue Oct 20 2009 prusnak@suse.cz
- updated to 2.2.3.1
  - fixes broken frozen-bubble [bnc#548122]
  - Critical Build.PL fix for META.yml
  - Moved Debian patches upstream
  - Made App loop() faster
  - Patched support for add support for gluquadric* sub
  - Made App init slimer
  - Added faster SDL::Color alternative
  - Added better error reporting for TTFont errors
  - Fixed constants with help from arodland
  - Added warning instead of die for frozenbubble's sake
  - fixed undef access to blit in Surface
  - made sdl font strict acceptable
- drop obsoleted patch warning-fix.patch (in mainline)
* Thu Oct  8 2009 prusnak@suse.cz
- fix build failure
* Wed Oct  7 2009 prusnak@suse.cz
- fix provides and obsoletes [bnc#544957]
* Sat Aug  8 2009 prusnak@suse.cz
- updated to 2.2.0
  - added .spl file type for SDLPerl applications!
  - fixed build after Module::Build breakage
  - fixed openGL header problems
  - finished embedding data in example scripts
  - fixed bug where SDL::App frees underlying Surface via DESTROY
  - added SDL_svg support
  - cleaned up SDL_gfx support in SDL.xs
  - cleaned up smpeg support in SDL.xs
  - added more SDL_sound support
  - added basic SDL_RWops support (TODO - perl callback for user defined)
  - changed constructors to die upon invalid initialization
* Wed May 20 2009 prusnak@suse.cz
- follow Perl packages naming policy (renamed to perl-SDL_Perl)
* Mon May  5 2008 sndirsch@suse.de
- perl-5.10.0.diff
  * NULL has been added to POSIX module; adjusted definition to
    resolve the conflict (bnc #386412)
* Sat Mar 15 2008 sndirsch@suse.de
- update to release 2.1.3 (bnc #371318)
* Fri Aug 17 2007 sndirsch@suse.de
- fixed Buildrequires for SDL_net/SDL_ttf (Bug #301337)
* Mon Mar 12 2007 sndirsch@suse.de
- warning-fix.diff:
  * fixed compiler warning "array subscript is above array bounds"
    (Bug #253482)
* Fri Sep  8 2006 sndirsch@suse.de
- fixed build in openSUSE buildservice
* Thu Feb  2 2006 sndirsch@suse.de
- added Mesa-devel to BuildRequires to enable OpenGL support again
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Sat Aug 20 2005 sndirsch@suse.de
- added SDL_mixer-devel + libmikmod to #neededforbuild, which
  enables SDL_mixer support again --> fixes sound support in
  frozen-bubble (Bug #106012)
* Sat Jan 10 2004 adrian@suse.de
- add %%defattr
* Wed Aug 20 2003 mjancar@suse.cz
- require the perl version we build with
* Mon Aug 18 2003 sndirsch@suse.de
- downgraded to release 1.20 again as frozen-bubble no longer
  worked :-(
* Sat Aug 16 2003 sndirsch@suse.de
- updated to release 2.0
* Mon Jul 14 2003 mls@suse.de
- fixed build
* Sat Jul 12 2003 sndirsch@suse.de
- fixed build
* Fri Jun 13 2003 sndirsch@suse.de
- fixed filelist
* Sun May 25 2003 sndirsch@suse.de
- removed unpackaged files
* Fri May 23 2003 coolo@suse.de
- use BuildRoot
* Sun Jan 19 2003 sndirsch@suse.de
- updated to release 1.20.0
* Sun Dec 29 2002 sndirsch@suse.de
- updated to release 1.19.1
* Fri Oct 25 2002 sndirsch@suse.de
- fixed %%files section (use macros now)
* Thu Oct 24 2002 sndirsch@suse.de
- created package
